﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition
Imports System.ComponentModel.DataAnnotations
Imports KadGen.SLTestApp.Common
Imports System.Runtime.Serialization

<BizClass(GetType(Customer))> _
<Export(GetType(Customer))> _
<PartCreationPolicy(CreationPolicy.NonShared)> _
<DataContract()> _
Public Class Customer
   Implements IBizClass
   Implements ICoreBiz

   Private _instanceState As InstanceState
   <DataMember()> _
   Public Property InstanceState() As InstanceState Implements ICoreBiz.InstanceState
      Get
         Return _instanceState
      End Get
      Set(ByVal value As InstanceState)
         _instanceState = value
      End Set
   End Property

   Private _customerId As Int32
   <DataMember()> _
   Public Property CustomerId() As Int32
      Get
         Return _customerId
      End Get
      Set(ByVal value As Int32)
         _customerId = value
      End Set
   End Property

   Private _customerName As String
   <DataMember()> _
   Public Property CustomerName() As String
      Get
         Return _customerName
      End Get
      Set(ByVal value As String)
         _customerName = value
      End Set
   End Property
End Class
