﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections.Generic

Public Class AsyncCompletedEventArgWithServiceContext
   Inherits System.ComponentModel.AsyncCompletedEventArgs

   Private _serviceContext As ServiceContext

   Public Sub New(ByVal serviceContext As ServiceContext, _
                  ByVal exception As Exception, _
                  ByVal cancelled As Boolean, _
                  ByVal userstate As Object)
      MyBase.New(exception, cancelled, userstate)
      _serviceContext = serviceContext
   End Sub

   Public ReadOnly Property ServiceContext As ServiceContext
      Get
         Return _serviceContext
      End Get
   End Property
End Class
