﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition

Public Interface IEditView
   Sub Initialize(ByVal targetType As Type, ByVal filter As IFilter)
End Interface

Public Interface IEditViewComposition
   Inherits ITargetTypeProvider
End Interface

Public Class EditViewAttribute
   Inherits TargetTypeProviderAttribute
   Implements IEditViewComposition

   Public Sub New(ByVal targetType As Type)
      MyBase.New(GetType(IEditView), targetType)
   End Sub
End Class