﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections.Generic
Imports System.ComponentModel.Composition

Public Interface IPartRetriever
   Function GetItem(Of T, TComposition)(ByVal predicate As Func(Of TComposition, Boolean)) As T
End Interface

Public Interface IPartRetrieverComposition
End Interface

<MetadataAttribute()> _
<AttributeUsage(AttributeTargets.Class, allowmultiple:=False)> _
Public Class PartRetrieverAttribute
   Inherits ExportAttribute
   Implements IPartRetrieverComposition

   Public Sub New()
      MyBase.New(GetType(IPartRetriever))
   End Sub
End Class
