﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections.Generic

Public Class RetrieveListCompetedEventArgs(Of T)
   Inherits AsyncCompletedEventArgWithServiceContext

   Private _result As IEnumerable(Of T)

   Public Sub New(ByVal result As IEnumerable(Of T), _
                  ByVal serviceContext As ServiceContext, _
                  ByVal exception As Exception, _
                  ByVal cancelled As Boolean, _
                  ByVal userstate As Object)
      MyBase.New(serviceContext, exception, cancelled, userstate)
      _result = result
   End Sub

   Public ReadOnly Property Result() As IEnumerable(Of T)
      Get
         Return _result
      End Get
   End Property
End Class
