﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition

Public Interface ISearchForm
   Sub Show(ByVal targetTypeName As String)
   ReadOnly Property Filter() As IFilter
End Interface

Public Interface ISearchFormComposition
   Inherits ITargetTypeProvider
End Interface

Public Class SearchFormAttribute
   Inherits TargetTypeProviderAttribute
   Implements ISearchFormComposition

   Public Sub New(ByVal targetType As Type)
      MyBase.New(GetType(ISearchForm), targetType)
   End Sub

End Class