﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition
Imports System.Collections

Public Interface IViewModelLookup
   Function Lookup(ByVal id As Int32) As String
End Interface

Public Interface IViewModelLookup(Of T)
   Inherits IViewModelLookup
End Interface

Public Interface IViewModelLookupComposition
   Inherits ITargetTypeProvider
End Interface

Public Class ViewModelLookupAttribute
   Inherits TargetTypeProviderAttribute
   Implements IViewModelLookupComposition

   Public Sub New(ByVal targetType As Type)
      MyBase.New(GetType(IViewModelLookup), targetType)
   End Sub

End Class


