﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition
Imports System.Collections.Generic

Public Interface IWcfWrapper
End Interface

Public Interface IWcfWrapper(Of T)
   Inherits IWcfWrapper
   Sub BeginRetrieveList(ByVal filter As IFilter, Optional ByVal userState As Object = Nothing)
   Event RetrieveListCompletedEvent(ByVal sender As Object, ByVal e As RetrieveListCompetedEventArgs(Of T))
End Interface

Public Interface IWcfWrapperComposition
   Inherits ITargetTypeProvider
End Interface

Public Class WcfWrapperAttribute
   Inherits TargetTypeProviderAttribute
   Implements IBizServiceComposition

   Public Sub New(ByVal targetType As Type)
      MyBase.New(GetType(IWcfWrapper), targetType)
   End Sub

End Class
