﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.ComponentModel.Composition
Imports System.ComponentModel.DataAnnotations
Imports KadGen.SLTestApp.Common
Imports System.Runtime.Serialization

<BizClass(GetType(Product))> _
<Export(GetType(Product))> _
<PartCreationPolicy(CreationPolicy.NonShared)> _
<DataContract()> _
Public Class Product
   Implements IBizClass
   Implements ICoreBiz

   Private _instanceState As InstanceState
   <DataMember()> _
   Public Property InstanceState() As InstanceState Implements ICoreBiz.InstanceState
      Get
         Return _instanceState
      End Get
      Set(ByVal value As InstanceState)
         _instanceState = value
      End Set
   End Property

   Private _productId As Int32
   <DataMember()> _
   Public Property ProductId() As Int32
      Get
         Return _productId
      End Get
      Set(ByVal value As Int32)
         _productId = value
      End Set
   End Property

   Private _productName As String
   <DataMember()> _
   Public Property ProductName() As String
      Get
         Return _productName
      End Get
      Set(ByVal value As String)
         _productName = value
      End Set
   End Property
End Class
