﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections.Generic
Imports System.ComponentModel.Composition

Public Interface ITargetTypePartRetriever
   Function GetItem(Of T)(ByVal targetType As Type) As T
   Function GetItem(Of T)(ByVal targetType As Type, ByVal useDefault As Boolean) As T
   Function GetItem(Of T)(ByVal targetTypeName As String) As T
   Function GetItem(Of T)(ByVal targetTypeName As String, ByVal useDefualt As Boolean) As T
End Interface

Public Interface ITargetTypePartRetrieverComposition
End Interface

<MetadataAttribute()> _
<AttributeUsage(AttributeTargets.Class, allowmultiple:=False)> _
Public Class TargetTypePartRetrieverAttribute
   Inherits ExportAttribute
   Implements IPartRetrieverComposition

   Public Sub New()
      MyBase.New(GetType(ITargetTypePartRetriever))
   End Sub
End Class
