﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections.Generic
Imports System.ComponentModel.Composition

Public Interface ITypeRetriever
   Function GetTypeFromName(ByVal name As String) As Type
End Interface

Public Interface ITypeRetrieverComposition
End Interface

<MetadataAttribute()> _
<AttributeUsage(AttributeTargets.Class, allowmultiple:=False)> _
Public Class TypeRetrieverAttribute
   Inherits ExportAttribute
   Implements ITypeRetrieverComposition

   Public Sub New()
      MyBase.New(GetType(ITypeRetriever))
   End Sub
End Class
