﻿Option Infer On
Option Explicit On
Option Strict On

Imports System
Imports System.Collections

Public Module Utilities
   <System.Runtime.CompilerServices.Extension()> _
   Public Function IsEnumerableNotString(ByVal type As Type) As Boolean
      If type Is GetType(String) Then
         Return False
      End If
      Return GetType(IEnumerable).IsAssignableFrom(type)
   End Function

   <System.Runtime.CompilerServices.Extension()> _
   Public Function EqualsIgnoreCase( _
         ByVal text1 As String, _
         ByVal text2 As String) _
         As Boolean
      Return text1.Equals(text2, StringComparison.InvariantCultureIgnoreCase)
   End Function
End Module
